package main

import (
	"encoding/json"
	"fmt"
	"net/http"
)

type body struct {
	Email    string `json:"email"`
	Password string `json:"password"`
}

func main() {
	http.HandleFunc("/", func(w http.ResponseWriter, r *http.Request) {
		b := &body{}
		err := json.NewDecoder(r.Body).Decode(b)
		if err != nil {
			fmt.Println(err)
			w.WriteHeader(http.StatusBadRequest)
			return
		}

		w.WriteHeader(http.StatusOK)
	})
	http.ListenAndServe(":1337", nil)
}
